---
- hosts: all
  become: yes
  roles:
    - { role: roles/cluster-dependencies-role }
  environment:
    http_proxy: http://172.16.230.99:8989
    https_proxy: http://172.16.230.99:8989
    no_proxy: "127.0.0.1,localhost,172.16.224.0/20,10.244.0.0/16,172.16.240.0/21,172.16.3.0/24,172.16.2.99/24,172.17.0.0/23,172.17.10.0/23,adipappi.int,10.96.0.0/12,172.16.242.226/21,172.16.242.226"

- hosts: controlplane
  become: yes
  environment:
    http_proxy: http://172.16.230.99:8989
    https_proxy: http://172.16.230.99:8989
    no_proxy: "127.0.0.1,localhost,172.16.224.0/20,172.16.240.0/21,10.244.0.0/16,172.16.3.0/24,172.16.2.99/24,172.17.0.0/23,172.17.10.0/23,adipappi.int,10.96.0.0/12,172.16.242.226/21,172.16.242.226"
  roles:
    - { role: roles/control-plane-role }

- hosts: controlplane
  become: yes
  gather_facts: false
  environment:
    http_proxy: http://172.16.230.99:8989
    https_proxy: http://172.16.230.99:8989
    no_proxy: "127.0.0.1,localhost,172.16.224.0/20,172.16.240.0/21,172.16.3.0/24,10.244.0.0/16,172.16.2.99/24,172.17.0.0/23,172.17.10.0/23,adipappi.int,10.96.0.0/12,172.16.242.226/21,172.16.242.226"
  tasks:
    - name: get join command
      shell: kubeadm token create --print-join-command
      register: join_command_raw

    - name: set join command
      set_fact:
        join_command: "{{ join_command_raw.stdout_lines[0] }} --cri-socket=/run/containerd/containerd.sock"

- hosts: workers
  become: yes
  environment:
    http_proxy: http://172.16.230.99:8989
    https_proxy: http://172.16.230.99:8989
    no_proxy: "127.0.0.1,localhost,172.16.224.0/20,172.16.240.0/21,172.16.3.0/24,172.16.2.99/24,172.17.0.0/23,10.244.0.0/16,172.17.10.0/23,adipappi.int,10.96.0.0/12,172.16.242.226/21,172.16.242.226"
  tasks:
    - name: join cluster
      shell: "{{ hostvars['controlplane'].join_command }} >> node_joined.txt"
      args:
        chdir: $HOME
        creates: node_joined.txt
